class Component {
  onCreate() {
    this.state = {
      mobile: false,
    };
  }

  onMount() {
    this.checkForMobile();
    this.subscribeTo(window).on('resize', () => {
      this.checkForMobile();
    });
  }

  checkForMobile() {
    this.setState('mobile', window.innerWidth < 1024);
  }
}

module.exports = Component;
